<%@ Page Language="C#" AutoEventWireup="true" Codebehind="Home.aspx.cs" Inherits="GammaMultilabWeb.Home"
    MasterPageFile="~/Main.Master" %>
<asp:Content ID="content" runat="Server" ContentPlaceHolderID="cp">
    <table cellpadding="0" cellspacing="0">
        <tr>
            <td>
                <asp:Label ID="lblHeading" runat="server" CssClass="HeadlineText"></asp:Label>
                <br />
                <asp:Label ID="lblWelcomeText" runat="server" CssClass="WelcomeText"></asp:Label></td>
        </tr>
        <tr>
            <td>
                &nbsp;</td>
        </tr>
        <tr>
            <td>
                <fieldset class="fieldSet1">
                    <legend runat="server" id="PageTitle" class="PageTitle">Personal Data</legend>
                    <table cellspacing="0" cellpadding="0">
                        <tr>
                            <td colspan="3">
                                <asp:ValidationSummary ID="vsm" runat="server" BackColor="#FFFFC0" BorderColor="Red"
                                    BorderStyle="Solid" BorderWidth="1px" HeaderText="<B>There were errors</B>" CssClass="vsm">
                                </asp:ValidationSummary>
                            </td>
                            <td colspan="1">
                            </td>
                        </tr>
                        <tr>
                            <td width="80px">
                                <asp:Label ID="lblStaFirstName" runat="server" CssClass="boldNormalText" Text="First name :"></asp:Label></td>
                            <td width="150px">
                                <asp:Label ID="lblFirstName" runat="server"></asp:Label></td>
                            <td rowspan="7" valign="top" width="300px">
                                <asp:GridView ID="gvRequestDates" runat="server" AutoGenerateColumns="False" OnRowCommand="gvRequestDates_RowCommand"
                                    OnRowDataBound="gvRequestDates_RowDataBound" OnRowCancelingEdit="gvRequestDates_RowCancelingEdit"
                                    OnRowEditing="gvRequestDates_RowEditing" ShowFooter="True" Width="280px">
                                    <Columns>
                                        <asp:TemplateField>
                                            <ItemTemplate>
                                                <asp:Image ID="imgAuth" runat="server" CssClass="Icon2" ImageUrl="~/Img/auth.gif" />
                                                <asp:Label ID="lblDate" runat="server"></asp:Label>
                                            </ItemTemplate>
                                            <EditItemTemplate>
                                            <asp:Image ID="imgAuth" runat="server" CssClass="Icon2" ImageUrl="~/Img/auth.gif" />
                                                <asp:Label ID="lblDate" runat="server"></asp:Label><br />
                                                <asp:Label ID="lblPassword" runat="server">Password :</asp:Label>
                                                <asp:TextBox ID="txtPassword" runat="server" TextMode="Password"></asp:TextBox>
                                            </EditItemTemplate>
                                            <HeaderTemplate>
                                                <asp:LinkButton ID="lnkHeaderDate" runat="server" CommandName="sort">Request Date</asp:LinkButton>
                                            </HeaderTemplate>
                                            <ItemStyle VerticalAlign="Bottom" />
                                            <FooterTemplate>
                                                <asp:Label ID="lblPassword" runat="server">Password :</asp:Label>
                                                <asp:TextBox ID="txtPassword" runat="server" TextMode="Password"></asp:TextBox>
                                            </FooterTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField>
                                            <ItemTemplate>
                                                <asp:LinkButton ID="lnkLogin" runat="server" CommandName="edit" CssClass="gvBtn"><img src="./Img/add.gif" alt="Login"/></asp:LinkButton>
                                                <asp:LinkButton ID="lnkDelete" runat="server" CommandName="remove" CssClass="gvBtn"><img src="./Img/delete.gif" alt="Delete"/></asp:LinkButton>
                                            </ItemTemplate>
                                            <EditItemTemplate>
                                                <asp:LinkButton ID="lnkAuth" runat="server" CommandName="auth" CssClass="gvBtn"><img src="./Img/ok.gif" alt="Authorize"/></asp:LinkButton>
                                                <asp:LinkButton ID="lnkCancel" runat="server" CommandName="cancel" CssClass="gvBtn"><img src="./Img/cancel.gif" alt="Cancel"/></asp:LinkButton>
                                            </EditItemTemplate>
                                            <FooterTemplate>
                                                <asp:LinkButton ID="lnkAuth" runat="server" CommandName="auth" CssClass="gvBtn"><img src="./Img/ok.gif" alt="Authorize"/></asp:LinkButton>
                                            </FooterTemplate>
                                            <ItemStyle VerticalAlign="bottom" Width="45px" Wrap="false"/>
                                        </asp:TemplateField>
                                    </Columns>
                                    <RowStyle CssClass="gvItem" />
                                    <AlternatingRowStyle CssClass="gvAltItem" />
                                    <HeaderStyle CssClass="gvHeader" />
                                    <FooterStyle CssClass="gvFooter" />
                                </asp:GridView>
                            </td>
                            <td>
                                <asp:Label ID="lblStaLegend" runat="server" CssClass="boldNormalText" Text="Legend :"></asp:Label></td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="lblStaSecondName" runat="server" CssClass="boldNormalText" Text="Second name :"></asp:Label></td>
                            <td>
                                <asp:Label ID="lblSecondName" runat="server"></asp:Label></td>
                            <td rowspan="6" valign="top">
                                <asp:Label ID="lblLegend" runat="server" CssClass="normalText"></asp:Label></td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="lblStaFamilyName" runat="server" CssClass="boldNormalText" Text="Family name :"></asp:Label></td>
                            <td>
                                <asp:Label ID="lblFamilyName" runat="server"></asp:Label></td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="lblStaPersonalNr" runat="server" CssClass="boldNormalText" Text="Personal # :"></asp:Label></td>
                            <td>
                                <asp:Label ID="lblPersonalNr" runat="server"></asp:Label></td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="lblStaAddress" runat="server" CssClass="boldNormalText" Text="Address :"></asp:Label></td>
                            <td>
                                <asp:Label ID="lblAddress" runat="server"></asp:Label></td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="lblStaPhone" runat="server" CssClass="boldNormalText" Text="Phone :"></asp:Label></td>
                            <td>
                                <asp:Label ID="lblPhone" runat="server"></asp:Label></td>
                        </tr>
                        <tr>
                            <td valign="top">
                                </td>
                            <td>
                                &nbsp;</td>
                        </tr>
                    </table>
                </fieldset>
            </td>
        </tr>
    </table>
</asp:Content>
