using System;
using System.Data;
using System.Collections.Generic;
using System.Text;

using Common;

namespace BusinessLayer
{
    public class Hospital
    {
        private static DataTable systemSettings = null;
        public static void ReLoadSettings()
        {
            try
            {
                systemSettings = BusinessHelper.Hospital.GetHospitalDetails();
            }
            catch (Exception exc)
            {
                ApplicationLog.LogException(exc, "Handled Exception");
            }
        }

        public static object GetSetting(string settingName)
        {
            if (systemSettings == null)
                ReLoadSettings();
            object result = null;
            if (systemSettings != null && systemSettings.Rows.Count > 0)
                result = systemSettings.Rows[systemSettings.Rows.Count-1][settingName];
            return result;
        }
    }
}
