using System;
using System.Text.RegularExpressions;
using System.Text;

namespace Common
{
	public class Validation
	{
		public static bool IsEMail(string val, bool required)
		{
			if ((val == string.Empty) && (!required))
			{
				return true;
			}
			Regex email = new Regex("[\\w\\.-]+(\\+[\\w-]*)?@([\\w-]+\\.)+[\\w-]+");
			return email.IsMatch(val, 0);
		}

        public static bool IsValidDate(DateTime date)
        {
            if (date.Year <= DateTime.Today.Year + 100 && date.Year >= DateTime.Today.Year - 100)
                return true;
            return false;
        }
	}
}
