using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace FrameWork
{
    public class AdminBase : PageBase
    {
        public AdminBase()
        {

        }

        protected override void CheckForUnauthorizedAccess()
        {
            base.CheckForUnauthorizedAccess();
            if (!CurrentUserData.IsAdministrator)
                OpenUrl("~/Login.aspx", false);
        }
    }
}
