using System;
using System.Collections;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Web;
using System.Web.SessionState;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.HtmlControls;

namespace FrameWork
{
	public class CalendarPage : System.Web.UI.Page
	{
		protected HtmlGenericControl Body;
		protected System.Web.UI.WebControls.Calendar ctlCalendar;
	
		private void Page_Load(object sender, System.EventArgs e)
		{
			if(!IsPostBack)
			{
				string date = Request.QueryString["date"];
				if(date.Length>0)
				{
					try
					{
						DateTime dateTime = Convert.ToDateTime(date);
						ctlCalendar.SelectedDate = dateTime;
						ctlCalendar.VisibleDate = dateTime;
					}
					catch{}
				}
			}
		}

		#region Web Form Designer generated code
		override protected void OnInit(EventArgs e)
		{		
			InitializeComponent();
			base.OnInit(e);
		}
				
		private void InitializeComponent()
		{    
			this.ctlCalendar.SelectionChanged += new System.EventHandler(this.ctlCalendar_SelectionChanged);
			this.Load += new System.EventHandler(this.Page_Load);

		}
		#endregion

		private void ctlCalendar_SelectionChanged(object sender, System.EventArgs e)
		{
			Body.Attributes["onload"] = "window.returnValue='"+ ctlCalendar.SelectedDate.ToShortDateString() +"';window.close()";
		}

	}
}
