using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using Common;

namespace GammaMultilabWeb.Reports
{
    public partial class ActivityGraph : FrameWork.ChartBase
    {
        #region Initialization
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                HtmlGenericControl iframe = pnl.FindControl("iframe") as HtmlGenericControl;
                if (iframe == null)
                    return;
                string url = "ActivityChart.aspx";
                url = GetEncryptedUrl(url);
                iframe.Attributes["src"] = url;
            }
        }

        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);

        }

        protected override void InitPageCache()
        {
            //Override in order not to clear the page cache
        }
        #endregion
    }
}
