using System;
using System.Collections;
using System.Collections.Generic;
using System.Text;

namespace Common
{
    public class Multilanguage
    {
        public static Hashtable GetGroupStrings(string groupName)
        {
            Hashtable languageData = (Hashtable)System.Web.HttpContext.Current.Application[StringConstants.APPLICATION_KEY_LANGUAGE_DATA];
            if (languageData != null)
                return (Hashtable)languageData[groupName];
            return null;
        }

        public static string GetTranslatedString(string groupName, string key)
        {
            Hashtable groupData = GetGroupStrings(groupName);
            if (groupData != null && groupData.Contains(key))
                return groupData[key].ToString();
            else
                return StringConstants.NOT_TRANSLATED;
        }
    }
}
