using System;
using System.Collections.Generic;
using System.Text;

namespace Common
{
    public class WebUserInfo
    {
        #region Fields
        private int id;
        private int personID;
        private string password;
        private DateTime startDate;
        private DateTime endDate;

        public int ID
        {
            get { return id; }
        }

        public string Password
        {
            get { return password; }
        }

        public DateTime StartDate
        {
            get { return startDate; }
        }

        public DateTime EndDate
        {
            get { return endDate; }
        }

        public int PersonID
        {
            get { return personID; }
        }
        #endregion

        internal WebUserInfo(int id, int personID, string password, DateTime startDate, DateTime endDate)
        {
            this.id = id;
            this.password = password;
            this.startDate = startDate;
            this.endDate = endDate;
            this.personID = personID;
        }

        public bool IsAuthorized(DateTime date)
        {
            return this.StartDate <= date && this.EndDate > date;
        }
    }

    
}
