using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace FrameWork
{
    public partial class ChartMaster : System.Web.UI.MasterPage
    {
        #region Fields
        public ZedGraph.ZedGraphWeb Graph
        {
            get { return graph;  }
        }
        public event ZedGraph.ZedGraphWebControlEventHandler RenderGraph;
        #endregion

        #region Initialization
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);
            Graph.RenderGraph += new ZedGraph.ZedGraphWebControlEventHandler(Graph_RenderGraph);
        }
        #endregion

        #region Event Handlers
        void Graph_RenderGraph(System.Drawing.Graphics g, ZedGraph.MasterPane pane)
        {
            if (RenderGraph != null)
                RenderGraph(g, pane);
        }
        #endregion
    }
}
