<%@ Page Language="C#" AutoEventWireup="true" Codebehind="Requests.aspx.cs" Inherits="GammaMultilabWeb.Requests"
    MasterPageFile="~/Main.Master" %>

<%@ Register Src="UC/UCCalendarJS.ascx" TagName="UCCalendarJS" TagPrefix="uc1" %>
<asp:Content ID="content" runat="Server" ContentPlaceHolderID="cp">
    <table cellpadding="0" cellspacing="0">
        <tr>
            <td>
                <asp:Label ID="lblHeading" runat="server" CssClass="HeadlineText">Requests</asp:Label><br />
                <asp:Label ID="lblWelcomeText" runat="server" CssClass="WelcomeText" Width="300px"></asp:Label></td>
        </tr>
        <tr>
            <td>
                <fieldset class="fieldSet1">
                    <legend runat="server" id="PageTitle" class="PageTitle">Requests</legend>
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                            <td colspan="5">
                                &nbsp;<asp:ValidationSummary ID="vsm" runat="server" BackColor="#FFFFC0" BorderColor="Red"
                                    BorderStyle="Solid" BorderWidth="1px" CssClass="vsm" HeaderText="<B>There were errors</B>" />
                            </td>
                        </tr>
                        <tr>
                            <td width="120" nowrap>
                                <asp:Label ID="lblRequestDate" runat="server" CssClass="boldNormalText" Text="Request date :"></asp:Label>
                            </td>
                            <td width="200">
                                <asp:DropDownList ID="cboRequestDate" runat="server">
                                </asp:DropDownList></td>
                            <td width="120" nowrap>
                                <asp:Label ID="lblService" runat="server" CssClass="boldNormalText" Text="Service :"></asp:Label></td>
                            <td width="200" colspan="">
                                <asp:DropDownList ID="cboService" runat="server" Width="250px">
                                </asp:DropDownList></td>
                            <td width="300" align="right">
                                <asp:LinkButton ID="lnkPrint" runat="server" OnClick="lnkPrint_Click">Print <img src="img/pdf.gif"></asp:LinkButton>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <asp:Label ID="lblDateFrom" runat="server" CssClass="boldNormalText" Text="Date from :"></asp:Label></td>
                            <td>
                                <uc1:UCCalendarJS ID="ucCalendarFrom" runat="server" />
                            </td>
                            <td>
                                <asp:Label ID="lblDateTo" runat="server" CssClass="boldNormalText" Text="To :"></asp:Label></td>
                            <td>
                                <uc1:UCCalendarJS ID="ucCalendarTo" runat="server" />
                            </td>
                            <td>
                                <asp:Button ID="btnShow" runat="server" CssClass="btn" OnClick="btnShow_Click" Text="Show" /></td>
                        </tr>
                        <tr>
                            <td colspan="5">
                                &nbsp;</td>
                        </tr>
                        <tr>
                            <td colspan="5">
                                <div id="datagrid">
                                    <asp:DataList ID="dtl" runat="server" OnItemCommand="dtl_ItemCommand" OnItemDataBound="dtl_ItemDataBound">
                                        <HeaderTemplate>
                                            <table cellpadding="0" cellspacing="0" width="95%">
                                                <tr class="lockheader">
                                                    <td width="450">
                                                        <asp:LinkButton ID="lnkMName" runat="server" CommandName="sort">Name</asp:LinkButton></td>
                                                    <td width="70">
                                                        <asp:LinkButton ID="lnkMResult" runat="server" CommandName="sort">Result</asp:LinkButton></td>
                                                    <td width="60">
                                                        <asp:LinkButton ID="lnkMU" runat="server" CommandName="sort">Unit</asp:LinkButton></td>
                                                    <td width="60">
                                                        <asp:LinkButton ID="lnkMLL" runat="server" CommandName="sort">L.L.</asp:LinkButton></td>
                                                    <td width="60">
                                                        <asp:LinkButton ID="lnkMUL" runat="server" CommandName="sort">U.L.</asp:LinkButton></td>
                                                    <td width="60">
                                                        <asp:LinkButton ID="lnkMPato" runat="server" CommandName="sort">Pato</asp:LinkButton></td>
                                                    <td width="60">
                                                        <asp:LinkButton ID="lnkMDate" runat="server" CommandName="sort">Date</asp:LinkButton></td>
                                                </tr>
                                            </table>
                                        </HeaderTemplate>
                                        <ItemTemplate>
                                            <table cellpadding="0" cellspacing="0" width="100%">
                                                <tr class="gvItem2">
                                                    <td width="400">
                                                        <asp:ImageButton ID="imgBtn" runat="server" CommandName="expand" ImageUrl="~/Img/plus.gif" />&nbsp;<asp:Label
                                                            ID="lblName" runat="server"></asp:Label></td>
                                                    <td width="60">
                                                        <asp:Label ID="lblResult" runat="server"></asp:Label></td>
                                                    <td width="60">
                                                        <asp:Label ID="lblU" runat="server"></asp:Label></td>
                                                    <td width="60">
                                                        <asp:Label ID="lblLL" runat="server"></asp:Label></td>
                                                    <td width="60">
                                                        <asp:Label ID="lblUL" runat="server"></asp:Label></td>
                                                    <td width="60">
                                                        <asp:Label ID="lblPato" runat="server"></asp:Label></td>
                                                    <td width="60">
                                                        <asp:Label ID="lblDate" runat="server"></asp:Label></td>
                                                </tr>
                                            </table>
                                            <asp:GridView ID="gv" runat="server" AutoGenerateColumns="False"
                                                OnRowDataBound="gv_RowDataBound" Width="100%">
                                                <Columns>
                                                    <asp:TemplateField HeaderText="Name">
                                                        <HeaderTemplate>
                                                            <asp:LinkButton ID="lnkName" runat="server" CommandName="sort">Name</asp:LinkButton>
                                                        </HeaderTemplate>
                                                        <ItemTemplate>
                                                            <asp:Label ID="lblName" runat="server"></asp:Label>
                                                        </ItemTemplate>
                                                        <HeaderStyle Width="400px" />
                                                    </asp:TemplateField>
                                                    <asp:TemplateField HeaderText="Result">
                                                        <HeaderTemplate>
                                                            <asp:LinkButton ID="lnkResult" runat="server" CommandName="sort">Result</asp:LinkButton>
                                                        </HeaderTemplate>
                                                        <ItemTemplate>
                                                            <asp:Label ID="lblResult" runat="server"></asp:Label>
                                                        </ItemTemplate>
                                                        <HeaderStyle Width="60px" />
                                                    </asp:TemplateField>
                                                    <asp:TemplateField HeaderText="Unit">
                                                        <HeaderTemplate>
                                                            <asp:LinkButton ID="lnkU" runat="server" CommandName="sort">Unit</asp:LinkButton>
                                                        </HeaderTemplate>
                                                        <ItemTemplate>
                                                            <asp:Label ID="lblU" runat="server"></asp:Label>
                                                        </ItemTemplate>
                                                        <HeaderStyle Width="60px" />
                                                    </asp:TemplateField>
                                                    <asp:TemplateField HeaderText="LowerLimit">
                                                        <HeaderTemplate>
                                                            <asp:LinkButton ID="lnkLL" runat="server" CommandName="sort">L.L.</asp:LinkButton>
                                                        </HeaderTemplate>
                                                        <ItemTemplate>
                                                            <asp:Label ID="lblLL" runat="server"></asp:Label>
                                                        </ItemTemplate>
                                                        <HeaderStyle Width="60px" />
                                                    </asp:TemplateField>
                                                    <asp:TemplateField HeaderText="UpperLimit">
                                                        <HeaderTemplate>
                                                            <asp:LinkButton ID="lnkUL" runat="server">U.L.</asp:LinkButton>
                                                        </HeaderTemplate>
                                                        <ItemTemplate>
                                                            <asp:Label ID="lblUL" runat="server"></asp:Label>
                                                        </ItemTemplate>
                                                        <HeaderStyle Width="60px" />
                                                    </asp:TemplateField>
                                                    <asp:TemplateField HeaderText="Pato">
                                                        <HeaderTemplate>
                                                            <asp:LinkButton ID="lnkPato" runat="server" CommandName="sort">Pato</asp:LinkButton>
                                                        </HeaderTemplate>
                                                        <ItemTemplate>
                                                            <asp:Label ID="lblPato" runat="server"></asp:Label>
                                                        </ItemTemplate>
                                                        <HeaderStyle Width="60px" />
                                                    </asp:TemplateField>
                                                    <asp:TemplateField HeaderText="Date">
                                                        <HeaderTemplate>
                                                            <asp:LinkButton ID="lnkDate" runat="server" CommandName="sort">Date</asp:LinkButton>
                                                        </HeaderTemplate>
                                                        <ItemTemplate>
                                                            <asp:Label ID="lblDate" runat="server"></asp:Label>
                                                        </ItemTemplate>
                                                        <HeaderStyle Width="60px" />
                                                    </asp:TemplateField>
                                                </Columns>
                                                <RowStyle CssClass="gvItem" />
                                                <AlternatingRowStyle CssClass="gvAltItem" />
                                                <EditRowStyle CssClass="gvEditItem" />
                                                <HeaderStyle CssClass="gvHeader" />
                                                <FooterStyle CssClass="gvFooter" />
                                            </asp:GridView>
                                        </ItemTemplate>
                                    </asp:DataList>
                                </div>
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td colspan="4">
                &nbsp;</td>
        </tr>
    </table>
</asp:Content>
