<%@ Page Language="C#" AutoEventWireup="true" Codebehind="Results.aspx.cs" Inherits="GammaMultilabWeb.Results"
    MasterPageFile="~/Main.Master" %>

<%@ Register Src="UC/UCCalendarJS.ascx" TagName="UCCalendarJS" TagPrefix="uc1" %>
<asp:Content ID="content" runat="Server" ContentPlaceHolderID="cp">
    <table cellpadding="0" cellspacing="0">
        <tr>
            <td>
                <asp:Label ID="lblHeading" runat="server" CssClass="HeadlineText">Results</asp:Label><br />
                <asp:Label ID="lblWelcomeText" runat="server" CssClass="WelcomeText" Width="300px"></asp:Label></td>
        </tr>
        <tr>
            <td>
                <fieldset class="fieldSet3">
                    <legend runat="server" id="PageTitle" class="PageTitle">Results</legend>
                    <table width="100%" cellpadding="0" cellspacing="0">
                        <tr>
                            <td colspan="6">
                                &nbsp;<asp:ValidationSummary ID="vsm" runat="server" BackColor="#FFFFC0" BorderColor="Red"
                                    BorderStyle="Solid" BorderWidth="1px" CssClass="vsm" HeaderText="<B>There were errors</B>" />
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table width="600px" align="left">
                                    <tr>
                                        <td width="120" nowrap>
                                            <asp:Label ID="lblRequestDate" runat="server" CssClass="boldNormalText" Text="Request date :"></asp:Label>
                                        </td>
                                        <td width="200">
                                            <asp:DropDownList ID="cboRequestDate" runat="server">
                                            </asp:DropDownList></td>
                                        <td width="80" nowrap>
                                            <asp:Label ID="lblService" runat="server" CssClass="boldNormalText" Text="Service :"></asp:Label></td>
                                        <td colspan="2">
                                            <asp:DropDownList ID="cboService" runat="server" Width="250px">
                                            </asp:DropDownList></td>
                                    </tr>
                                    <tr>
                                        <td>
                                            <asp:Label ID="lblDateFrom" runat="server" CssClass="boldNormalText" Text="Date from :"></asp:Label></td>
                                        <td>
                                            <uc1:UCCalendarJS ID="ucCalendarFrom" runat="server" />
                                        </td>
                                        <td>
                                            <asp:Label ID="lblDateTo" runat="server" CssClass="boldNormalText" Text="To :"></asp:Label></td>
                                        <td>
                                            <uc1:UCCalendarJS ID="ucCalendarTo" runat="server" />
                                        </td>
                                        <td nowrap>
                                            <asp:Button ID="btnShow" runat="server" CssClass="btn" OnClick="btnShow_Click" Text="Show" />
                                            <asp:Button ID="btnShowGraph" runat="server" CssClass="btn" OnClick="btnShowGraph_Click"
                                                Text="Show Graph" />
                                        </td>                                        
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="6">
                                &nbsp;</td>
                        </tr>
                        <tr>
                            <td colspan="6">
                                <div id="datagrid">
                                    <asp:DataGrid ID="gv" runat="server" AutoGenerateColumns="False" OnRowDataBound="gv_RowDataBound"
                                        OnSorting="gv_Sorting" Width="100%" OnItemDataBound="gv_RowDataBound" OnSortCommand="gv_Sorting">
                                        <Columns>
                                            <asp:TemplateColumn HeaderText="Name">
                                                <HeaderTemplate>
                                                    <asp:LinkButton ID="lnkName" runat="server" CommandName="sort">Name</asp:LinkButton>
                                                </HeaderTemplate>
                                                <HeaderStyle Width="400px" />
                                                <ItemTemplate>
                                                    <asp:CheckBox ID="chk" runat="server" />
                                                    <asp:Label ID="lblName" runat="server"></asp:Label>
                                                </ItemTemplate>
                                                <ItemStyle Wrap="False" />
                                            </asp:TemplateColumn>
                                            <asp:TemplateColumn HeaderText="Unit">
                                                <HeaderTemplate>
                                                    <asp:LinkButton ID="lnkU" runat="server" CommandName="sort">Unit</asp:LinkButton>
                                                </HeaderTemplate>
                                                <HeaderStyle Width="60px" />
                                                <ItemTemplate>
                                                    <asp:Label ID="lblU" runat="server"></asp:Label>
                                                </ItemTemplate>
                                            </asp:TemplateColumn>
                                            <asp:TemplateColumn HeaderText="LowerLimit">
                                                <HeaderTemplate>
                                                    <asp:LinkButton ID="lnkLL" runat="server" CommandName="sort">L.L.</asp:LinkButton>
                                                </HeaderTemplate>
                                                <HeaderStyle Width="60px" />
                                                <ItemTemplate>
                                                    <asp:Label ID="lblLL" runat="server"></asp:Label>
                                                </ItemTemplate>
                                            </asp:TemplateColumn>
                                            <asp:TemplateColumn HeaderText="UpperLimit">
                                                <HeaderTemplate>
                                                    <asp:LinkButton ID="lnkUL" runat="server" CommandName="sort">U.L.</asp:LinkButton>
                                                </HeaderTemplate>
                                                <HeaderStyle Width="60px" />
                                                <ItemTemplate>
                                                    <asp:Label ID="lblUL" runat="server"></asp:Label>
                                                </ItemTemplate>
                                            </asp:TemplateColumn>
                                        </Columns>
                                        <ItemStyle CssClass="gvItem" />
                                        <EditItemStyle CssClass="gvEditItem" />
                                        <HeaderStyle CssClass="lockheader" />
                                        <AlternatingItemStyle CssClass="gvAltItem" />
                                        <FooterStyle CssClass="gvFooter" />
                                    </asp:DataGrid>
                                </div>
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </td>
        </tr>
        <tr>
            <td colspan="4">
                &nbsp;</td>
        </tr>
    </table>
</asp:Content>
